## org.apache.http.impl.auth
Class UnsupportedDigestAlgorithmException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.http.impl.auth.UnsupportedDigestAlgorithmException

All Implemented Interfaces:
  Serializable

    @Immutable
    public class UnsupportedDigestAlgorithmException

extends RuntimeException

Authentication credentials required to respond to a authentication challenge are invalid

Since:
  4.0
See Also:
  Serialized Form

Constructor Summary
`UnsupportedDigestAlgorithmException()` Creates a new UnsupportedAuthAlgoritmException with a `null` detail message.
`UnsupportedDigestAlgorithmException(String message)` Creates a new UnsupportedAuthAlgoritmException with the specified message.
`UnsupportedDigestAlgorithmException(String message, Throwable cause)` Creates a new UnsupportedAuthAlgoritmException with the specified detail message and cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnsupportedDigestAlgorithmException

    public UnsupportedDigestAlgorithmException()

  Creates a new UnsupportedAuthAlgoritmException with a `null` detail message.

### UnsupportedDigestAlgorithmException

    public UnsupportedDigestAlgorithmException(String message)

  Creates a new UnsupportedAuthAlgoritmException with the specified message.

  Parameters:
    `message` - the exception detail message

### UnsupportedDigestAlgorithmException

    public UnsupportedDigestAlgorithmException(String message,
                                               Throwable cause)

  Creates a new UnsupportedAuthAlgoritmException with the specified detail message and cause.

  Parameters:
    `message` - the exception detail message
    `cause` - the `Throwable` that caused this exception, or `null` if the cause is unavailable, unknown, or not a `Throwable`

Copyright © 1999-2011 The Apache Software Foundation. All Rights Reserved.